Skip to content

List favorites

GET
/v1/favorites
curl --request GET \
--url 'https://api.meridiantrack.com/v1/favorites?userId=example' \
--header 'X-API-Key: <X-API-Key>'
userId
required
string

User ID (required for API key auth)

List of favorites

Media typeapplication/json
object
items
Array<object>
object
id
string
description
string
projectId
string
nullable
clientId
string
nullable
billable
boolean
tagIds
Array<string>
sortOrder
integer
createdAt
string format: date-time
updatedAt
string format: date-time
Examplegenerated
{
"items": [
{
"id": "example",
"description": "example",
"projectId": "example",
"clientId": "example",
"billable": true,
"tagIds": [
"example"
],
"sortOrder": 1,
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}
]
}